
<?php
// Conectar a la base de datos y otras configuraciones necesarias
include "conexion_a.php";
$mensaje= "NO imputo el pago global, actualice el resumen";
// Verificar si se recibió el parámetro invoice_id por GET
if (isset($_GET['invoice_id'] )) {
	// Obtener el invoice_id desde la URL
	$invoiceId = $_GET['invoice_id'];
	$saldo_pagar = $_GET['saldo'];
	$customer_id = $_GET['customer_id'];
	$created_by = $_GET['user_id'];
	$details = 'pago global';
	$created_at = date("Y-m-d");

	// Realizar la actualización en la base de datos
	$sql_select = "SELECT * FROM selling_price WHERE invoice_id = $invoiceId";

// Ejecutar la consulta
$resultado = mysqli_query($conexion, $sql_select);


if ($resultado) {
    // Iterar sobre los resultados obtenidos
    while ($fila = mysqli_fetch_assoc($resultado)) {
        // Acceder a los valores de las columnas
       

$imputado_ant = 0;

$imputado_ant = $fila['prev_due_paid'];


	
	$sql_update = mysqli_query($conexion, "UPDATE selling_price SET prev_due_paid = prev_due_paid + $saldo_pagar, due = due - $saldo_pagar WHERE invoice_id = $invoiceId");
	
	$sql_update = mysqli_query($conexion, "UPDATE customer_to_store SET balance = balance - $saldo_pagar WHERE customer_id = $customer_id");
	
	$sql_insert = "INSERT INTO payments (type, store_id, invoice_id, pmethod_id, capital, amount, note, total_paid, pos_balance, created_by, created_at) VALUES ('due_paid', '1', '$invoiceId', '1', '0', '$saldo_pagar',  '$details', '$saldo_pagar', '0', '$created_by', '$created_at')";
	
	// Ejecutar la consulta
if(mysqli_query($conexion, $sql_insert)) {
    echo "Registro insertado correctamente.";
} else {
    echo "Error al insertar el registro: " . mysqli_error($conexion);
}

if ($sql_insert ) {
		$mensaje = "El estado de pago se actualizó correctamente.";
	} else {
		$mensaje = "Error al actualizar el estado de pago.";
	}
	
	}

// Verificar si la consulta se ejecutó correctamente
if ($resultado) {
    // Iterar sobre los resultados obtenidos
    while ($fila = mysqli_fetch_assoc($resultado)) {
        // Acceder a los valores de las columnas
        $pagable = $fila['payable_amount'];
        $saldook =  ($pagable - $fila['paid_amount']) - $fila['return_amount'] - $fila['prev_due_paid'] ;
  
  if($saldook <= 0 )
  {
      $sql_update = mysqli_query($conexion, "UPDATE selling_info SET payment_status = 'paid' WHERE invoice_id = $invoiceId");
			}
        // Aquí puedes hacer lo que necesites con los valores obtenidos
        // Por ejemplo, imprimirlos o utilizarlos en otra parte de tu código
        echo "El saldo de pago para la factura   $saldook ";
    }
} else {
    // Manejar el caso en que la consulta no se ejecutó correctamente
    echo "Error al ejecutar la consulta: " . mysqli_error($conexion);
}

	
	
	
	
	
	



		  
	

	// Verificar si la actualización fue exitosa
	}}
 else {
	$mensaje = "No se proporcionó el ID de la factura.";
}

// Cerrar la conexión a la base de datos
mysqli_close($conexion);

// Mostrar el mensaje en un popup
echo "<script>
 var popup = window.open('', 'popup', 'width=500,height=150');
    popup.document.write('$mensaje');
      
    setTimeout(function() {
    	
 
    	window.close();
       popup.close();
                
     
    }, 2000); // 5000 milisegundos = 2 segundos
</script>";

?>
